/* osd.h - OSD interface
 *
 * Copyright 2022 Petteri Hintsanen <petterih@iki.fi>
 *
 * This file is part of xosdd.
 *
 * xosdd is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * xosdd is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with xosdd.  If not, see <http://www.gnu.org/licenses/>. */

typedef struct osd osd;

enum indicator { BAR, SLIDER };

extern osd *create_osd(int nlines);
extern void destroy_osd(osd *osd);
extern void hide_osd(osd *osd);
extern void osd_display(osd *osd, int line, int val, enum indicator ind);
extern void osd_string(osd *osd, int line, const char *s);
extern void osd_strings(osd *osd, char **strings);
extern void osd_value_and_strings(osd *osd, int val, char **strings,
                                  enum indicator ind);
extern void scroll_osd(osd *osd, int lines);
extern void set_align(osd *osd, const char *align);
extern void set_bar_length(osd *osd, int len);
extern void set_color(osd *osd, const char *color);
extern void set_font(osd *osd, const char *font);
extern void set_horizontal_offset(osd *osd, int offset);
extern void set_outline_color(osd *osd, const char *color);
extern void set_outline_offset(osd *osd, int offset);
extern void set_position(osd *osd, const char *pos);
extern void set_shadow_offset(osd *osd, int offset);
extern void set_timeout(osd *osd, int timeout);
extern void set_vertical_offset(osd *osd, int offset);
extern void show_osd(osd *osd);
